Subject: Re: [PATCH-RFC 06/10] mips: switch to GENERIC_PCI_IOMAP

From: "Michael S. Tsirkin" <[email-masked]>
Date: Mon, 30 Jan 2012 00:45:07 +0200

On Sat, Jan 28, 2012 at 02:38:10PM -0800, Kevin Cernekee wrote:
> On Thu, Nov 24, 2011 at 12:18 PM, Michael S. Tsirkin <[email-masked]> wrote:
> > mips copied pci_iomap from generic code, probably to avoid
> > pulling the rest of iomap.c in.  Since that's in
> > a separate file now, we can reuse the common implementation.
> 
> [snip]
> 
> > -       if (flags & IORESOURCE_IO)
> > -               return ioport_map_pci(dev, start, len);
> 
> While investigating a new warning on the 3.3-rc1 MIPS build (unused
> static function ioport_map_pci()), I noticed that this patch has shown
> up in Linus' tree as commit eab90291d35438bcebf7c3dc85be66d0f24e3002.
> 
> I am not completely clear on the implications it has on mapping PCI I/O regions:

Yes, my bad, I missed the difference between ioport_map_pci
and ioport_map for both MIPS and SH.
I'll post a patch to fix this, which is probably preferable
to reintroducing the code duplication where it might
trip us up again.

-- 
MST